{
    "property":{
        "name_en":"Docking",
        "name_zh":"充电桩",
        "index":3        
    },
    "items":[
        {
            "slamware_path":"general",
            "base_path":"",
            "name_en":"General",
            "name_zh":"通用",
            "display_type":"combined",
            "data_type":"object",
            "subitems": [
                {
                    "slamware_path": "docking.backward_docking",
                    "base_path": "",
                    "name_en": "Backward Docking",
                    "name_zh": "后向对桩",
                    "data_type": "bool",
                    "display_type": "checkbox",
                    "default_value": true,
                    "depends": [
                        {
                            "slamware_path": "docking.dock_supported",
                            "value": true
                        }
                    ]
                },
                {
                    "slamware_path": "docking.landing_offset",
                    "base_path": "",
                    "name_en": "Landing Offset",
                    "name_zh": "着陆偏移",
                    "data_type": "float",
                    "display_type": "textbox",
                    "default_value": 0,
                    "depends": [
                        {
                            "slamware_path": "docking.dock_supported",
                            "value": true
                        }
                    ]
                },
                {
                    "slamware_path": "docking.docking_method",
                    "base_path": "",
                    "name_en": "Docking Method",
                    "name_zh": "对桩方法",
                    "data_type": "enum",
                    "display_type": "combobox",
                    "default_value": "laserpattern",
                    "enums": [
                        {
                            "value": "laserpattern",
                            "name_en": "Laser Pattern",
                            "name_zh": "激光模式"
                        },
                        {
                            "value": "irtower_2p",
                            "name_en": "IR Tower 2P",
                            "name_zh": "红外塔2P"
                        }
                    ],
                    "depends": [
                        {
                            "slamware_path": "docking.dock_supported",
                            "value": true
                        }
                    ]
                }
            ]
        },    
        {
            "slamware_path": "laser_pattern_size",
            "base_path": "",
            "name_en": "Laser Pattern Size",
            "name_zh": "激光模式匹配尺寸",
            "display_type": "combined",
            "data_type": "object",
            "subitems": [
                {
                    "slamware_path": "docking.dock_length",
                    "base_path": "",
                    "name_en": "Dock Length",
                    "name_zh": "充电桩总长度",
                    "display_type": "textbox",
                    "data_type": "float",
                    "default_value": 0.3
                },
                {
                    "slamware_path": "docking.dock_center_line_length",
                    "base_path": "",
                    "name_en": "Dock Center Line Length",
                    "name_zh": "充电桩中线长度",
                    "display_type": "textbox",
                    "data_type": "float",
                    "default_value": 0.12
                },
                {
                    "slamware_path": "docking.dock_inner_line_length",
                    "base_path": "",
                    "name_en": "Dock Inner Line Length",
                    "name_zh": "充电桩内线长度",
                    "display_type": "textbox",
                    "data_type": "float",
                    "default_value": 0.06
                },
                {
                    "slamware_path": "docking.dock_side_line_length",
                    "base_path": "",
                    "name_en": "Dock Side Line Length",
                    "name_zh": "充电桩边线长度",
                    "display_type": "textbox",
                    "data_type": "float",
                    "default_value": 0.0515
                },
                {
                    "slamware_path": "docking.dock_depth",
                    "base_path": "",
                    "name_en": "Dock Depth",
                    "name_zh": "充电桩深度",
                    "display_type": "textbox",
                    "data_type": "float",
                    "default_value": 0.073
                }
            ],
            "depends": [
                {
                    "slamware_path": "docking.docking_method",
                    "value": "laserpattern"
                }
            ]
        }
    ]
}